package com.apobates.forum.core.entity.proxy;

import com.apobates.forum.core.entity.Board;
import com.apobates.forum.core.entity.BoardActionCollection;
import com.apobates.forum.utils.lang.ForumReplicable;
import java.util.function.Function;

/**
 * 
 * @author xiaofanku
 * @since 20200621
 */
public final class BoardActionCollectionReplica extends BoardActionCollection implements ForumReplicable<BoardActionCollection, BoardActionCollectionReplica>{
    private Board board;
    public static Function<BoardActionCollection,BoardActionCollectionReplica> copyBoardAction = (BoardActionCollection bac)->{
        return ForumReplicable.replica(bac, BoardActionCollectionReplica.class).orElseGet(BoardActionCollectionReplica::new);
    };
    
    public BoardActionCollectionReplica(){
        super();
    }
    
    public Board getBoard() {
        return board;
    }
    
    public void setBoard(Board board) {
        this.board = board;
    }
}